GalertDefSortField (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GalertDefSortField class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GalertDefSortField

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.galerts.server.session.GalertDefSortField

All Implemented Interfaces:
  java.io.Serializable, SortField, JSON

    public abstract class GalertDefSortField

extends HypericEnum
implements SortField

See Also:
  Serialized Form

Field Summary
`static GalertDefSortField` | `ACTIVE`
`static GalertDefSortField` | `CTIME`
`static GalertDefSortField` | `ESCALATION`
`static GalertDefSortField` | `GROUP`
`static GalertDefSortField` | `LAST_FIRED`
`static GalertDefSortField` | `MTIME`
`static GalertDefSortField` | `NAME`
`static GalertDefSortField` | `SEVERITY`

Method Summary
`static GalertDefSortField` | `findByCode(int code)`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hibernate.SortField
`getDescription, getValue, isSortable`

Field Detail

### CTIME

    public static final GalertDefSortField CTIME

### MTIME

    public static final GalertDefSortField MTIME

### NAME

    public static final GalertDefSortField NAME

### ACTIVE

    public static final GalertDefSortField ACTIVE

### SEVERITY

    public static final GalertDefSortField SEVERITY

### GROUP

    public static final GalertDefSortField GROUP

### ESCALATION

    public static final GalertDefSortField ESCALATION

### LAST_FIRED

    public static final GalertDefSortField LAST_FIRED

Method Detail

### findByCode

    public static GalertDefSortField findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.